---
apiVersion: v1
kind: Pod
metadata:
  annotations:
    k8s.ovn.org/pod-networks: '{"default":{"ip_addresses":["10.130.0.25/23"],"mac_address":"3e:b5:a6:82:00:1a","gateway_ips":["10.130.0.1"],"ip_address":"10.130.0.25/23","gateway_ip":"10.130.0.1"}}'
    openshift.io/scc: restricted
  creationTimestamp: "2020-05-26T09:45:37Z"
  generateName: cluster-image-registry-operator-6fc8bb68fd-
  labels:
    name: cluster-image-registry-operator
    pod-template-hash: 6fc8bb68fd
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:generateName: {}
        f:labels:
          .: {}
          f:name: {}
          f:pod-template-hash: {}
        f:ownerReferences:
          .: {}
          k:{"uid":"d6ffc37c-8329-4ab8-916b-8ec26b93d35e"}:
            .: {}
            f:apiVersion: {}
            f:blockOwnerDeletion: {}
            f:controller: {}
            f:kind: {}
            f:name: {}
            f:uid: {}
      f:spec:
        f:containers:
          k:{"name":"cluster-image-registry-operator"}:
            .: {}
            f:env:
              .: {}
              k:{"name":"IMAGE"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"IMAGE_PRUNER"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"OPERATOR_NAME"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"RELEASE_VERSION"}:
                .: {}
                f:name: {}
                f:value: {}
              k:{"name":"WATCH_NAMESPACE"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:ports:
              .: {}
              k:{"containerPort":60000,"protocol":"TCP"}:
                .: {}
                f:containerPort: {}
                f:name: {}
                f:protocol: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
            f:volumeMounts:
              .: {}
              k:{"mountPath":"/etc/secrets"}:
                .: {}
                f:mountPath: {}
                f:name: {}
              k:{"mountPath":"/var/run/configmaps/trusted-ca/"}:
                .: {}
                f:mountPath: {}
                f:name: {}
          k:{"name":"cluster-image-registry-operator-watch"}:
            .: {}
            f:args: {}
            f:command: {}
            f:env:
              .: {}
              k:{"name":"POD_NAME"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
              k:{"name":"POD_NAMESPACE"}:
                .: {}
                f:name: {}
                f:valueFrom:
                  .: {}
                  f:fieldRef:
                    .: {}
                    f:apiVersion: {}
                    f:fieldPath: {}
            f:image: {}
            f:imagePullPolicy: {}
            f:name: {}
            f:resources:
              .: {}
              f:requests:
                .: {}
                f:cpu: {}
            f:terminationMessagePath: {}
            f:terminationMessagePolicy: {}
        f:dnsPolicy: {}
        f:enableServiceLinks: {}
        f:nodeSelector:
          .: {}
          f:node-role.kubernetes.io/master: {}
        f:priorityClassName: {}
        f:restartPolicy: {}
        f:schedulerName: {}
        f:securityContext: {}
        f:serviceAccount: {}
        f:serviceAccountName: {}
        f:shareProcessNamespace: {}
        f:terminationGracePeriodSeconds: {}
        f:tolerations: {}
        f:volumes:
          .: {}
          k:{"name":"image-registry-operator-tls"}:
            .: {}
            f:name: {}
            f:secret:
              .: {}
              f:defaultMode: {}
              f:secretName: {}
          k:{"name":"trusted-ca"}:
            .: {}
            f:configMap:
              .: {}
              f:defaultMode: {}
              f:items: {}
              f:name: {}
              f:optional: {}
            f:name: {}
    manager: kube-controller-manager
    operation: Update
    time: "2020-05-26T09:45:37Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          f:k8s.ovn.org/pod-networks: {}
    manager: ovnkube
    operation: Update
    time: "2020-05-26T09:45:38Z"
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        f:conditions:
          k:{"type":"ContainersReady"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Initialized"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastProbeTime: {}
            f:lastTransitionTime: {}
            f:status: {}
            f:type: {}
        f:containerStatuses: {}
        f:hostIP: {}
        f:phase: {}
        f:podIP: {}
        f:podIPs:
          .: {}
          k:{"ip":"10.130.0.25"}:
            .: {}
            f:ip: {}
        f:startTime: {}
    manager: kubelet
    operation: Update
    time: "2020-05-26T09:46:27Z"
  name: cluster-image-registry-operator-6fc8bb68fd-5bdvh
  namespace: openshift-image-registry
  ownerReferences:
  - apiVersion: apps/v1
    blockOwnerDeletion: true
    controller: true
    kind: ReplicaSet
    name: cluster-image-registry-operator-6fc8bb68fd
    uid: d6ffc37c-8329-4ab8-916b-8ec26b93d35e
  resourceVersion: "12875"
  selfLink: /api/v1/namespaces/openshift-image-registry/pods/cluster-image-registry-operator-6fc8bb68fd-5bdvh
  uid: 3c93669b-5283-40cc-a8fc-cf80a05bdb42
spec:
  containers:
  - env:
    - name: RELEASE_VERSION
      value: 0.0.1-2020-05-26-050349
    - name: WATCH_NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.namespace
    - name: OPERATOR_NAME
      value: cluster-image-registry-operator
    - name: IMAGE
      value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:9b1d20844abc6561d7b9e1e193a7e2e2eb3f27eadcc489a0cf3a074e06cca87d
    - name: IMAGE_PRUNER
      value: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:1c0250a6bf12b77a50d0c159d90a772568a8c163401af4cf356dc38deea2258a
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:010587dd8af28d26b2492a27135e3dff3e5c15807b5096395a2b9e8a614ffe0b
    imagePullPolicy: IfNotPresent
    name: cluster-image-registry-operator
    ports:
    - containerPort: 60000
      name: metrics
      protocol: TCP
    resources:
      requests:
        cpu: 10m
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      runAsUser: 1000330000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/run/configmaps/trusted-ca/
      name: trusted-ca
    - mountPath: /etc/secrets
      name: image-registry-operator-tls
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: cluster-image-registry-operator-token-nwxqn
      readOnly: true
  - args:
    - file-watcher-watchdog
    - --namespace=$(POD_NAMESPACE)
    - --process-name=cluster-image-registry-operator
    - --termination-grace-period=30s
    - --files=/var/run/configmaps/trusted-ca/tls-ca-bundle.pem
    - --files=/etc/secrets/tls.crt
    - --files=/etc/secrets/tls.key
    command:
    - cluster-image-registry-operator-watch
    env:
    - name: POD_NAME
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.name
    - name: POD_NAMESPACE
      valueFrom:
        fieldRef:
          apiVersion: v1
          fieldPath: metadata.namespace
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:010587dd8af28d26b2492a27135e3dff3e5c15807b5096395a2b9e8a614ffe0b
    imagePullPolicy: IfNotPresent
    name: cluster-image-registry-operator-watch
    resources:
      requests:
        cpu: 10m
    securityContext:
      capabilities:
        drop:
        - KILL
        - MKNOD
        - SETGID
        - SETUID
      runAsUser: 1000330000
    terminationMessagePath: /dev/termination-log
    terminationMessagePolicy: File
    volumeMounts:
    - mountPath: /var/run/secrets/kubernetes.io/serviceaccount
      name: cluster-image-registry-operator-token-nwxqn
      readOnly: true
  dnsPolicy: ClusterFirst
  enableServiceLinks: true
  nodeName: skumari-gcp-wd9nd-master-2.c.openshift-gce-devel.internal
  nodeSelector:
    node-role.kubernetes.io/master: ""
  priority: 2000000000
  priorityClassName: system-cluster-critical
  restartPolicy: Always
  schedulerName: default-scheduler
  securityContext:
    fsGroup: 1000330000
    seLinuxOptions:
      level: s0:c18,c12
  serviceAccount: cluster-image-registry-operator
  serviceAccountName: cluster-image-registry-operator
  shareProcessNamespace: true
  terminationGracePeriodSeconds: 30
  tolerations:
  - effect: NoSchedule
    key: node-role.kubernetes.io/master
    operator: Exists
  - effect: NoExecute
    key: node.kubernetes.io/unreachable
    operator: Exists
    tolerationSeconds: 120
  - effect: NoExecute
    key: node.kubernetes.io/not-ready
    operator: Exists
    tolerationSeconds: 120
  - effect: NoSchedule
    key: node.kubernetes.io/memory-pressure
    operator: Exists
  volumes:
  - name: image-registry-operator-tls
    secret:
      defaultMode: 420
      secretName: image-registry-operator-tls
  - configMap:
      defaultMode: 420
      items:
      - key: ca-bundle.crt
        path: tls-ca-bundle.pem
      name: trusted-ca
      optional: true
    name: trusted-ca
  - name: cluster-image-registry-operator-token-nwxqn
    secret:
      defaultMode: 420
      secretName: cluster-image-registry-operator-token-nwxqn
status:
  conditions:
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T09:45:37Z"
    status: "True"
    type: Initialized
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T09:46:27Z"
    status: "True"
    type: Ready
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T09:46:27Z"
    status: "True"
    type: ContainersReady
  - lastProbeTime: null
    lastTransitionTime: "2020-05-26T09:45:37Z"
    status: "True"
    type: PodScheduled
  containerStatuses:
  - containerID: cri-o://f47da99ee10a2340d4fac8ba24018ea314b5a31a871606ea3c47484426810b5e
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:010587dd8af28d26b2492a27135e3dff3e5c15807b5096395a2b9e8a614ffe0b
    imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:010587dd8af28d26b2492a27135e3dff3e5c15807b5096395a2b9e8a614ffe0b
    lastState: {}
    name: cluster-image-registry-operator
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2020-05-26T09:46:25Z"
  - containerID: cri-o://9e7436aa904295bb6818e7cbaddf44ff926daa7bc8c156f7031bf123eafcb59b
    image: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:010587dd8af28d26b2492a27135e3dff3e5c15807b5096395a2b9e8a614ffe0b
    imageID: registry.svc.ci.openshift.org/ci-ln-6vywnkk/stable@sha256:010587dd8af28d26b2492a27135e3dff3e5c15807b5096395a2b9e8a614ffe0b
    lastState: {}
    name: cluster-image-registry-operator-watch
    ready: true
    restartCount: 0
    started: true
    state:
      running:
        startedAt: "2020-05-26T09:46:26Z"
  hostIP: 10.0.0.6
  phase: Running
  podIP: 10.130.0.25
  podIPs:
  - ip: 10.130.0.25
  qosClass: Burstable
  startTime: "2020-05-26T09:45:37Z"
